myapps:
  signature:
    #是否开启签章业务  true 为开启  false 为 关闭
    enable: false
    unSignaturePDF:
    signaturePDF:
    tempPDF:
    api:
    apiScan:
    apiCopy:
    schedule: 0 0/5 * * * ?
  screeninng:
    applicationId: __wGomeHJBz6CpLFCCl4y
    domainId:
    intervalDay:
    #是否开启背景筛查  true 为开启  false 为 关闭
    enable: false
    #公安内网api 开启背景筛查必须填写此项
    api:
  nxgjApi:
    #是否开启宁夏背景筛查  true 为开启  false 为 关闭
    enable: false
    #宁夏数据归集接口 开启必填
    gjurl:
    #获取宁夏归集token 开启必填
    tokenUrl:
    #账号  开启必填
    NX_CLIENTID:
    #密码  开启必填
    NX_SECRETID:
    #每日定时推送宁夏归集数据(每日凌晨1触发) cron = "0 0 1 * * ? 开启必填 , “-”表示关闭
    nxgjschedule: "-"
    #域名配置 开启必填
    DN:
    serverKey:
    schedule:
      timing: 0 0 5 31 2 ?
      induction: 0 0 5 31 2 ?
  storage:
    root: /data/obpm-demo
  domain:
    url: http://v5qy.test.baibaodun.cn/obpm
  authentication:
    applicationId: __wGomeHJBz6CpLFCCl4y
    #是否开启实名认证  true 为开启  false 为 关闭
    enable: false
    #公安内网api 开启背景筛查必须填写此项  当地公安内网的地址
    api:
    #业务中不同环境指定不同的server
    serverKey:
    #定时器每分钟执行一次
    timing: "-"
spring:
  datasource:
    url: jdbc:mysql://220.243.148.23:3306/obpm2?characterEncoding=UTF-8&serverTimezone=GMT
    username: TL5_enterprise
    password: Bcx#20221024
    driver-class-name: com.mysql.cj.jdbc.Driver
    screen:
      jdbc-url: jdbc:mysql://14.62.1.152:3306/security_flow?useUnicode=true&characterEncoding=utf8&useCompression=true&serverTimezone=GMT&useSSL=false
      username: inbj_security
      password: Inbj_security#202107
      driver-class-name: com.mysql.cj.jdbc.Driver
    baoan:
      driver-class-name: com.mysql.cj.jdbc.Driver
      url: jdbc:mysql://220.243.148.23:3306/baibaodunflow?characterEncoding=UTF-8&serverTimezone=GMT
      username: TL5_enterprise
      password: Bcx#20221024
      type: com.zaxxer.hikari.HikariDataSource
  jpa:
    show-sql: true
    properties:
      hibernate:
        format_sql: true
        #可能是版本问题，必须使用spring.jpa.properties.hbm2ddl.auto: update来配置
        hbm2ddl:
          auto: none
        jdbc:
          time_zone: Asia/Shanghai
      javax:
        persistence:
          query:
            timeout: 120000
    database-platform: org.hibernate.dialect.MySQL5InnoDBDialect
    hibernate:
      ddl-auto: none
      naming:
        physical-strategy: org.hibernate.boot.model.naming.PhysicalNamingStrategyStandardImpl
        implicit-strategy: org.springframework.boot.orm.jpa.hibernate.SpringImplicitNamingStrategy
  profiles:
    active: securityintest-mysql

db:
  organization:
    name: organizationAuth
#站点的图片前缀地址
logging:
  level:
    root: INFO
  file:
    name: saas-log.log
    path: /data/sync/logs
  logback:
    rollingpolicy:
      max-file-size: 200MB
  pattern:
    console:

sms:
  sendSwitch: false
  code: B00
  url: http://msg.bcxin.com.cn:9165/sms/huawei/sendSMS
  channel: test
  platform: V5

scheduled:
  fixedDelay:
    sync:
      data:
        ftp: 300000
        directly: 300000
      file:
        ftp: 300000
        directly: 300000
      form: 300000